# Returns the recurrence rule of a task.

GET https://api.awork.com/api/v1/tasks/{taskId}/recurrency

Returns the recurrence rule of a task. The response includes the task's recurrence settings. <Check title="Required Permissions" icon="key">The user must have permission to access the requested resource.</Check>

## Request example

```sh
curl -X GET --globoff 'https://api.awork.com/api/v1/tasks/{taskId}/recurrency' \
  -H 'Authorization: Bearer <token>'
```

- path parameter `taskId`: string (required). The id of the task.

## Response 200

OK

application/json

```json
{
  "recurrencyRule": "\"0 0 1 * * ?\"",
  "recurrencyInterval": 1,
  "relativeDueOn": 3600,
  "recurrencyStartOn": "2021-03-15T11:00:00Z",
  "recurrencyTimezone": "Europe/Berlin"
}
```

## Response 401

Unauthorized

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```

## Response 404

Not Found

application/json

```json
{
  "code": "not-found",
  "description": "There is no matching path for this URL.",
  "link": "https://developers.awork.com",
  "details": [
    "No project with the id '123' exists."
  ],
  "validationErrors": [
    {
      "property": "FirstName",
      "message": "FirstName is required."
    }
  ],
  "traceId": "a65ce5745df02af216715ff06661fb3a"
}
```
